summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--system/virtualbox/README3
-rw-r--r--system/virtualbox/virtualbox.SlackBuild19
-rw-r--r--system/virtualbox/virtualbox.info18
3 files changed, 27 insertions, 13 deletions
diff --git a/system/virtualbox/README b/system/virtualbox/README
index 6a9da63a9b..db0f144151 100644
--- a/system/virtualbox/README
+++ b/system/virtualbox/README
@@ -22,6 +22,9 @@ If you want to attach VirtualBox to a VDE network you will need vde2.
If you want to be able to capture the video output of your virtual
hosts you will need libvpx, then pass to the script VPX=yes.
+For pulseaudio integration pass PULSE=yes to the script. This will
+require pulseaudio as optional dependency.
+
See README.SLACKWARE for some setup notes.
NOTE: This will not build on a stock x86_64 system.
diff --git a/system/virtualbox/virtualbox.SlackBuild b/system/virtualbox/virtualbox.SlackBuild
index a28d2a55ba..24ccaccdb8 100644
--- a/system/virtualbox/virtualbox.SlackBuild
+++ b/system/virtualbox/virtualbox.SlackBuild
@@ -25,7 +25,7 @@
PRGNAM=virtualbox
SRCNAM=VirtualBox
-VERSION=${VERSION:-4.3.10}
+VERSION=${VERSION:-4.3.18}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -84,6 +84,14 @@ else
libvpx=""
fi
+# Enable pulseaudio integration
+if [ "${PULSE:-no}" = "no" ]; then
+ libpulse="--disable-pulse"
+else
+ libpulse=""
+fi
+
+
if [ "${WEBSERVICE:-no}" = "no" ]; then
web_service=""
vboxwebsrv=""
@@ -141,14 +149,14 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--disable-kmods \
- --disable-pulse \
--enable-vde \
--enable-vnc \
$web_service \
$harden \
$gui \
$java \
- $libvpx
+ $libvpx \
+ $libpulse
. ./env.sh
@@ -215,7 +223,7 @@ cd out/linux.$BUILDDIR/release/bin/
install -m $MODE -g $GROUP VBoxCreateUSBNode.sh $PKG/usr/share/virtualbox/
install -m $MODE -g $GROUP VBoxTunctl $PKG/usr/bin/
install -m $MODE -g $GROUP VBoxFUSE $PKG/usr/bin/
- rm -f VBoxSysInfo.sh VBoxCreateUSBNode.sh VBoxTunctl
+ rm -f VBoxSysInfo.sh VBoxCreateUSBNode.sh VBoxTunctl VBoxFUSE
mv * $PKG/usr/lib$LIBDIRSUFFIX/virtualbox/
chown -R root:$GROUP $PKG/usr/lib$LIBDIRSUFFIX/virtualbox/
chmod -R $MODE $PKG/usr/lib$LIBDIRSUFFIX/virtualbox/
@@ -281,6 +289,9 @@ chmod 0755 $PKG/etc/profile.d/*
mkdir -p $PKG/lib/udev/rules.d
install -m 644 $CWD/10-virtualbox.rules $PKG/lib/udev/rules.d/
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -f COPYING COPYING.CDDL $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/README.SLACKWARE > $PKG/usr/doc/$PRGNAM-$VERSION/README.SLACKWARE
diff --git a/system/virtualbox/virtualbox.info b/system/virtualbox/virtualbox.info
index 703e4c7051..a2f65a2e29 100644
--- a/system/virtualbox/virtualbox.info
+++ b/system/virtualbox/virtualbox.info
@@ -1,14 +1,14 @@
PRGNAM="virtualbox"
-VERSION="4.3.10"
+VERSION="4.3.18"
HOMEPAGE="http://www.virtualbox.org"
-DOWNLOAD="http://download.virtualbox.org/virtualbox/4.3.10/VirtualBox-4.3.10.tar.bz2 \
- http://download.virtualbox.org/virtualbox/4.3.10/VBoxGuestAdditions_4.3.10.iso \
- http://download.virtualbox.org/virtualbox/4.3.10/UserManual.pdf \
- http://download.virtualbox.org/virtualbox/4.3.10/SDKRef.pdf"
-MD5SUM="c3e9e61d5ed7c672bfc747fb8df4367b \
- 1c5ff3a2cc9ff615aa79788c5e771fdc \
- cd6d2ddac7f115717a3fe788000acbb8 \
- d69e417a631f7ecaf56d942ebfb335f8"
+DOWNLOAD="http://download.virtualbox.org/virtualbox/4.3.18/VirtualBox-4.3.18.tar.bz2 \
+ http://download.virtualbox.org/virtualbox/4.3.18/VBoxGuestAdditions_4.3.18.iso \
+ http://download.virtualbox.org/virtualbox/4.3.18/UserManual.pdf \
+ http://download.virtualbox.org/virtualbox/4.3.18/SDKRef.pdf"
+MD5SUM="0e6e345a5bc4321bc5014258c6e9a5bb \
+ c95841f30fa274708b4798c670fb10da \
+ 525b65f8c30cc3af7ba82fc57f5206d4 \
+ ca4a455bad0f2dea359f0dd61c225add"
DOWNLOAD_x86_64="UNTESTED"
MD5SUM_x86_64=""
REQUIRES="acpica virtualbox-kernel"